'''dwarf race for D&D 3.5 Mod'''

import es, dnds, popuplib
from dnds import dnds

def load():
    dnds.addRace('Dwarf', bonusWeapons=['galil', 'famas'])

    dwarfinfo = popuplib.create('dwarfinformation')
    dwarfinfo.addline('-{ D&D CS:S - Dwarf Info }-')
    dwarfinfo.addline(' Gain Famas and Galil ')
    dwarfinfo.addline(' Gain 10 Health ')
    dwarfinfo.addline(' Minus 5% Speed ')
    dwarfinfo.addline('-> 8. Back')
    dwarfinfo.addline('0. Exit')
    dwarfinfo.submenu(8, 'stracesinfo 1')
    dnds.addRaceInformation('Dwarf', 'dwarfinformation')

def player_spawn(ev):
    userid = int(ev['userid'])
    if dnds.isRace(userid, 'Dwarf'):
        dnds.Speed(userid, -.05)
        dnds.Health(userid, 10)
